%global module pbr

Name:           python-%{module}
Version:        5.8.1
Release:        %mkrel 1
Summary:        Python Build Reasonableness

Group:          Development/Python
License:        Apache
URL:            https://pypi.python.org/pypi/pbr
Source0:        %{module}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
PBR is a library that injects some useful and sensible default
behaviors into your setuptools run. It started off life as the
chunks of code that were copied between all of the OpenStack
projects. Around the time that OpenStack hit 18 different projects
each with at least 3 active branches, it seems like a good time to
make that code into a proper re-usable library.

%package -n python3-%{module}
Summary:        %{summary}
Group:          Development/Python
Requires:       python3-setuptools

%description -n python3-%{module}
Manage dynamic plugins for Python applications.

%prep
%setup -qn %{module}-%{version}

# drop bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

%files -n python3-%{module}
%doc LICENSE README.rst
%{_bindir}/pbr
%{python3_sitelib}/*

%changelog
* Sun Feb 27 2022 TerryN <terryn94 at gmail.com> 5.8.1-1pclos2022
- update and rebuild for python 3.10

* Sun Apr 15 2018 marcin82 <fixxer1982 at gmail.com> 4.0.2-1pclos2018
- initial build
